%global packname  bigmemory

Name:             R-%{packname}
Version:          3.10
Release:          1%{?dist}
Summary:          Manage massive matrices in R using C++, with support for shared memory

Group:            Applications/Productivity
License:          LGPLv3+
URL:              http://cran.r-project.org/web/packages/bigmemory/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core, texlive-latex
Requires(post):   R-core
Requires(postun): R-core
BuildRequires:    R-devel >= 2.5.0, R-biglm, R-nws
# Hangs trying to check the examples in the test suite, not endian clean?
# https://bugzilla.redhat.com/show_bug.cgi?id=471422
ExcludeArch:      ppc ppc64 s390 s390x

%description
Use C++ to create, store, access, and manipulate massive matrices. Under 
*NIX, it also supports use of shared memory.

%prep
%setup -c -q -n %{packname}
%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/COPYING
cp -a %{packname}/COPYING.LESSER %{buildroot}%{_libdir}/R/library/%{packname}/

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/COPYING.LESSER
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/

%changelog
* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.10-1
- update to 3.10

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 16 2009 Karsten Hopp <karsten@redhat.com> 2.3-4.1
- excludearch s390*, hangs similar to ppc

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-3
- hangs trying to check examples on ppc/ppc64 (excludearch)

* Fri Nov 7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-2
- Drop useless macros

* Fri Nov 7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-1
- update to 2.3

* Tue Jul 8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-1
- initial package for Fedora
